List settlements
const url = 'https://example.com/api/v1/settlements?page=1&per_page=10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/settlements?page=1&per_page=10' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Filter by settlement IDs
Filter by partner IDs
Filter by workspace IDs
Filter by commission IDs included in the settlement
Page number for pagination (default: 1)
Number of items per page for pagination (default: 10)
Responses
Section titled “ Responses ”OK
object
object
Unique identifier for the settlement
ID of the customer this settlement belongs to
ID of the workspace this settlement belongs to
ID of the partner this settlement belongs to
ISO 4217 currency code (e.g. EUR, USD)
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Reason for the dispute
Reconciliation status of the settlement (reconciled, unreconciled)
Invoice reference set by link_invoice
Credit note reference set by link_credit_note
Report reference set by link_report
Payment reference set when payment is initiated (self-payout path only)
Timestamp when the settlement was paid
Timestamp when the settlement was disputed
Timestamp when the settlement was created
Sum of all commission amounts in this settlement
Per-commission amount lines
object
ID of the commission
Amount settled for this commission (in smallest currency unit)
Total number of settlements matching the query
Current page number
Number of items per page
Example
{ "settlements": [ { "view": { "status": { "type": "draft" } } } ]}Unauthorized
object
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Internal Server Error
object
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}